#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdbool.h>

//~~~~~~~~~~~~~~~~~~~~~~~~~~~STRUCTURES~~~~~~~~~~~~~~~~~~~~~~~~~~~

//? Est-ce utile de faire une structure pour l'adresse ?
typedef struct
{
	char rue[30];
	int codePostal;
	char ville[30];
} Adresse;

typedef struct
{
	char entreprise[30];
	Adresse adresse;
	int capital;
	int duree;
	int cout;
} Devis;

typedef struct maillonDevis
{
	Devis devis;
	struct maillonDevis *suiv;
} MaillonDevis, *ListeDevis;

typedef struct
{
	char travaux[30];
	ListeDevis ldevis;
} Offre;

//~~~~~~~~~~~~~~~~~~~~~~~~~~~FONCTION~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//~~~~~~~~~~~~PARTIE 1~~~~~~~~~~~~
//Afficher l'ensemble des devis pour un type de travaux
//@t étant la tache
void AfficheDevis(ListeDevis l, char t);

//Afficher le devis d'une entreprise donnée pour un type de travaux donnée
//Peut-on utiliser la fct précédente ?
//@t étant la tâche
//@entr étant le nom de l'entreprise 
void AfficheDevisE(ListeDevis l, char entr, char t);

//~~~Idée :~~~

//1.Afficher l'ensemble des entreprise pour un codePostal donné
//2.Affiche la duree d'execution d'une tache, d'une entreprise en particulier
//3.Afficher l'entreprise avec la duree la moins longue à réaliser en fonction de la tâche (utilise la 2 ?)


//~~~~~~~~~~~~PARTIE 2~~~~~~~~~~~~
//Afficher l'entreprise qui a la tâche(travaux) retenu 
//celle ayant le coût de réalisation le moins cher
//si égalité : 
//Celle ayant le plus gros capital
void ShowEntrepTache(ListeDevis l, char trv);